Vagrant.configure(2) do |config|

  config.vm.provider "virtualbox" do |v|
    v.memory = 2048
    v.cpus = 2
  end

  config.vm.box = "scoop/backend-base"
  config.vm.box_url = "https://vagrant.apps-foundry.com/scoop/backend-base.json"
  config.vm.synced_folder "../db-dumps/", "/var/db-dumps", create: true

  # Override the default mounting of the vagrant directory so that
  # permission errors aren't an issue.c
  config.vm.synced_folder ".", "/vagrant",
    owner: "scoopcor",
    group: "vagrant",
    mount_options: ["dmode=775,fmode=775"]

  config.vm.synced_folder "../scoopportalexternal", "/srv/scoopportalext/www",
    owner: "scoopportalext",
    group: "scoopportalext",
    mount_options: ["dmode=775,fmode=775"]

  config.vm.provision "shell", inline: <<-SHELL
    rm -fR /srv/scoopcor/www
    ln -s /vagrant /srv/scoopcor/www
  SHELL

  config.vm.network "forwarded_port", guest: 5432, host: 5436
  config.vm.network "forwarded_port", guest: 80, host: 8080
  config.vm.network "forwarded_port", guest: 5000, host: 5000
  config.vm.network "forwarded_port", guest: 8983, host: 8983

end
